import java.io.*;

public class MigrateInputStream extends ObjectInputStream {

    private ClassLoader loader;

    public MigrateInputStream(InputStream in, 
			     ClassLoader loader) throws IOException {
	super(in);
	this.loader = loader;
    }

    protected Class resolveClass(ObjectStreamClass v) 
    			throws IOException, ClassNotFoundException {
	return Class.forName(v.getName(), true, this.loader);
    }   
}  

