package Agents.mem;

import java.net.*;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.security.Permission;
import java.security.AccessController;



public class MemoryURLConnection extends URLConnection
{

  protected URL url;
  protected boolean doInput = true;
  protected boolean doOutput = false;
  protected boolean allowUserInteraction = false;
  protected boolean useCaches = false;


  protected long ifModifiedSince = 0;
  protected boolean connected = false;

  public void connect() throws IOException
    {
      // ide kell
      if (connected)
	throw new IllegalAccessError("Already connected");
      connected = true;
    }


  protected MemoryURLConnection(URL u) {
    super(u);
    if (url == null)
      url = u;
  }

  public String getHeaderField(String name) {
    return null;
  }

  public String getHeaderFieldKey(int n) {
    return null;
  }

  public String getHeaderField(int n) {
    return null;
  }

  public Permission getPermission() throws IOException {
    return new java.security.AllPermission();
  }


  public InputStream getInputStream() throws IOException 
    {
      return MemoryHandler.getInput(url.getFile());
    }


  public OutputStream getOutputStream() throws IOException {
    throw new UnknownServiceException("protocol doesn't support output");
  }
}


